package net.openmob.mobileimsdk.android.utils;


public abstract class MBAsyncTask {
    public void execute(Object... params) {
        MBThreadPoolExecutor.runInBackground(() -> {
            int code = doInBackground(params).intValue();
            MBThreadPoolExecutor.runOnMainThread(()->{});
        });
    }

    protected void onPostExecute(Integer code) {}

    protected abstract Integer doInBackground(Object... paramVarArgs);
}
